SIZE(1)

NOME
size - elenca le dimensioni della sezione e la dimensione totale dei file binari.

SINTASSI
size [-A|-B|-G|--format=compatibility]
     [--help]
     [-d|-o|-x|--radix=number]
     [--common]
     [-t|--totals]
     [--target=bfdname] [-V|--version]
     [-f]
     [objfile...]

DESCRIZIONE
The GNU size utility lists the section sizes and the total size for each of the binary files objfile on its argument list. By default, one line of output is generated for each file or each module if the file is an archive.

objfile... sono i file oggetto da esaminare. Se non ne viene specificato nessuno, verrà usato il file "a.out".

OPZIONI
Le opzioni della riga di comando hanno i seguenti significati:

-A
-B
-G
--format=compatibility
    Using one of these options, you can choose whether the output from GNU size resembles output from System V size (using -A, or --format=sysv), or Berkeley size (using -B, or --format=berkeley). The default is the one-line format similar to Berkeley's. Alternatively, you can choose the GNU format output (using -G, or --format=gnu), this is similar to Berkeley's output format, but sizes are counted differently.

    Qui c'è un esempio del formato Berkeley (predefinito) di output da size:

     $ size --format=Berkeley ranlib size  text data bss dec hex filename
    294880 81920 11592 388392 5ed28 ranlib  294880 81920 11888 388688 5ee50
    size

    The Berkeley style output counts read only data in the "text" column, not in the "data" column, the "dec" and "hex" columns both display the sum of the "text", "data", and "bss" columns in decimal and hexadecimal respectively.

    The GNU format counts read only data in the "data" column, not the "text" column, and only displays the sum of the "text", "data", and "bss" columns once, in the "total" column. The --radix option can be used to change the number base for all columns. Here is the same data displayed with GNU conventions:

     $ size --format=GNU ranlib size  text data bss total filename  279880
    96920 11592 388392 ranlib  279880 96920 11888 388688 size

    Questi sono gli stessi dati, ma visualizzati più vicini alle convenzioni System V:

     $ size --format=SysV ranlib size  ranlib :  section size addr
    .text 294880 8192  .data 81920 303104  .bss 11592 385024  Total 388392
       size :  section size addr  .text 294880 8192  .data 81920
    303104  .bss 11888 385024  Total 388688

--help
-h
-H
-?  Mostra un sommario di argomenti e opzioni accettabili.

-d
-o
-x
--radix=number
    Usando una di queste opzioni si può controllare se la dimensione di ciascuna sezione è data in decimale (-d, o --radix=10); ottale (-o, o --radix=8); o esadecimale (-x, o --radix=16). In --radix=number, solo i tre valori (8, 10, 16) sono supportati. La dimensione totale è sempre data in due basi; decimale ed esadecimale per l'output -d o -x, o ottale ed esadecimale se si sta usando -o.

--common
    Print total size of common symbols in each file. When using Berkeley or GNU format these are included in the bss size.

-t
--totals
    Show totals of all objects listed (Berkeley or GNU format mode only).

--target=bfdname
    Specifica che il formato codice oggetto per objfile è bfdname. Questa opzione potrebbe non essere necessaria; size può riconoscere automaticamente molti formati.

-v
-V
--version
    Mostra il numero di versione di size.

-f  Ignored. This option is used by other versions of the size program, but it is not supported by the GNU Binutils version.

@file
    Legge le opzioni da riga di comando da file. Le opzioni lette sono inserite al posto dell'opzione originale @file. Se file non esiste o non può essere letto, l'opzione sarà trattata letteralmente, e non rimossa.

    Le opzioni in file sono separate da spazi vuoti. Si può includere uno spazio vuoto in un'opzione racchiudendo l'intera opzione fra apici, singoli o doppi. Può essere incluso qualsiasi carattere (compresa la barra inversa) facendo precedere al carattere una barra inversa. Il file può esso stesso contenere ulteriori opzioni @file; ciascuna di queste opzioni sarà elaborata ricorsivamente.

VEDERE ANCHE
ar(1), objdump(1), readelf(1) e i campi Info per binutils.

COPYRIGHT
Copyright (c) 1991-2023 Free Software Foundation, Inc.

È permesso copiare, distribuire e/o modificare questo documento nei termini della “Licenza per documentazione libera GNU” (GNU Free Documentation License), versione 1.3 o ogni versione successiva pubblicata dalla Free Software Foundation; senza sezioni non modificabili, senza testi di prima di copertina e di quarta di copertina. Una copia della licenza è inclusa nella sezione intitolata “Licenza per la documentazione libera GNU" (GNU Free Documentation License).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Giulio Daprelà <giulio@pluto.it> e Marco Curreli <marcocurreli@tiscali.it>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.